<?php
/* Autor...: Grupo Deltron S.A. */
/* Esquema.: cr_alfa_extension_15082014.xml */
/* Generado: 2014-08-26 22:08:10 */

/* Mantenimiento de los registros de la tabla cr_colaborador_file */
abstract class BaseCr_colaborador_fileDP extends Cr_colaborador_fileBV
{
    /* Constructor ( Establece los valores desde un objeto Cr_colaborador_fileBN ) */
    public function __construct( Cr_colaborador_fileBN $o_Cr_colaborador_fileBN = null )
    {
        parent::__construct();
        if ( !is_null( $o_Cr_colaborador_fileBN ) )
        {
            $this->setByBN( $o_Cr_colaborador_fileBN );
        }
    }

    /* Establece los valores desde un objeto Cr_colaborador_fileBN */
    public function setByBN( Cr_colaborador_fileBN $o_Cr_colaborador_fileBN )
    {
        if ( !is_null( $o_Cr_colaborador_fileBN->getIdColaboradorFile() ) )
        {
            $this->setIdColaboradorFile( $o_Cr_colaborador_fileBN->getIdColaboradorFile() );
        }
        if ( !is_null( $o_Cr_colaborador_fileBN->getIdColaborador() ) )
        {
            $this->setIdColaborador( $o_Cr_colaborador_fileBN->getIdColaborador() );
        }
        if ( !is_null( $o_Cr_colaborador_fileBN->getFileNumero() ) )
        {
            $this->setFileNumero( $o_Cr_colaborador_fileBN->getFileNumero() );
        }
        if ( !is_null( $o_Cr_colaborador_fileBN->getEstado() ) )
        {
            $this->setEstado( $o_Cr_colaborador_fileBN->getEstado() );
        }
        if ( !is_null( $o_Cr_colaborador_fileBN->getNombreFile() ) )
        {
            $this->setNombreFile( $o_Cr_colaborador_fileBN->getNombreFile() );
        }
        if ( !is_null( $o_Cr_colaborador_fileBN->getFechaEliminado() ) )
        {
            $this->setFechaEliminado( $o_Cr_colaborador_fileBN->getFechaEliminado() );
        }
        if ( !is_null( $o_Cr_colaborador_fileBN->getUsuarioEliminado() ) )
        {
            $this->setUsuarioEliminado( $o_Cr_colaborador_fileBN->getUsuarioEliminado() );
        }
        if ( !is_null( $o_Cr_colaborador_fileBN->getEliminado() ) )
        {
            $this->setEliminado( $o_Cr_colaborador_fileBN->getEliminado() );
        }
        if ( !is_null( $o_Cr_colaborador_fileBN->getFechaRegistro() ) )
        {
            $this->setFechaRegistro( $o_Cr_colaborador_fileBN->getFechaRegistro() );
        }
        if ( !is_null( $o_Cr_colaborador_fileBN->getUsuarioRegistro() ) )
        {
            $this->setUsuarioRegistro( $o_Cr_colaborador_fileBN->getUsuarioRegistro() );
        }
        if ( !is_null( $o_Cr_colaborador_fileBN->getIdtipofile() ) )
        {
            $this->setIdtipofile( $o_Cr_colaborador_fileBN->getIdtipofile() );
        }
    }

    /* Graba un nuevo registro */
    public function save()
    {
        $this->validateRecord();
        $o_cr_colaborador_fileFN = new Cr_colaborador_fileFN();
        $o_cr_colaborador_fileBN = $o_cr_colaborador_fileFN->selectByPk( $this->getIdColaboradorFile() );
        if ( is_null( $o_cr_colaborador_fileBN ) )
        {
            $s_SQLQuery1 = "INSERT INTO cr_colaborador_file ( ";
            $s_SQLQuery2 = "VALUES ( ";
            $s_Separator = "";
            if ( !is_null( $this->getIdColaboradorFile() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdColaboradorFile";
                $s_SQLQuery2 .= $s_Separator."".$this->getIdColaboradorFile()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdColaborador() ) )
            {
                $s_SQLQuery1 .= $s_Separator."idcolaborador";
                $s_SQLQuery2 .= $s_Separator."".$this->getIdColaborador()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFileNumero() ) )
            {
                $s_SQLQuery1 .= $s_Separator."FileNumero";
                $s_SQLQuery2 .= $s_Separator."'".$this->getFileNumero()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getEstado() ) )
            {
                $s_SQLQuery1 .= $s_Separator."Estado";
                $s_SQLQuery2 .= $s_Separator."'".$this->getEstado()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getNombreFile() ) )
            {
                $s_SQLQuery1 .= $s_Separator."NombreFile";
                $s_SQLQuery2 .= $s_Separator."'".$this->getNombreFile()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaEliminado() ) )
            {
                $s_SQLQuery1 .= $s_Separator."FechaEliminado";
                $s_SQLQuery2 .= $s_Separator."'".$this->getFechaEliminado()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getUsuarioEliminado() ) )
            {
                $s_SQLQuery1 .= $s_Separator."UsuarioEliminado";
                $s_SQLQuery2 .= $s_Separator."'".$this->getUsuarioEliminado()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getEliminado() ) )
            {
                $s_SQLQuery1 .= $s_Separator."Eliminado";
                $s_SQLQuery2 .= $s_Separator."".$this->getEliminado()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaRegistro() ) )
            {
                $s_SQLQuery1 .= $s_Separator."FechaRegistro";
                $s_SQLQuery2 .= $s_Separator."'".$this->getFechaRegistro()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getUsuarioRegistro() ) )
            {
                $s_SQLQuery1 .= $s_Separator."UsuarioRegistro";
                $s_SQLQuery2 .= $s_Separator."'".$this->getUsuarioRegistro()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdtipofile() ) )
            {
                $s_SQLQuery1 .= $s_Separator."idtipofile";
                $s_SQLQuery2 .= $s_Separator."".$this->getIdtipofile()."";
                $s_Separator = ", ";
            }
            $s_SQLQuery = $s_SQLQuery1." ) ".$s_SQLQuery2." );";
            $o_Resource = $o_cr_colaborador_fileFN->getConnect();
            $o_Result = mysql_query( $s_SQLQuery, $o_Resource );
            if ( $o_Result === false )
            {
                throw new Exception( mysql_error() );
            }
        }
        else
        {
            throw new Exception( "El id ya esta registrado." );
        }
        return true;
    }

    /* Actualiza los datos del registro */
    public function update()
    {
        $this->validateRecord();
        $o_cr_colaborador_fileFN = new Cr_colaborador_fileFN();
        $o_cr_colaborador_fileBN = $o_cr_colaborador_fileFN->selectByPk( $this->getIdColaboradorFile() );
        if ( !is_null( $o_cr_colaborador_fileBN ) )
        {
            $s_SQLQuery = "UPDATE cr_colaborador_file SET ";
            $s_Separator = "";
            if ( !is_null( $this->getIdColaborador() ) && $this->getIdColaborador() !== $o_cr_colaborador_fileBN->getIdColaborador() )
            {
                $s_SQLQuery .= $s_Separator."idcolaborador = ".$this->getIdColaborador()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFileNumero() ) && $this->getFileNumero() !== $o_cr_colaborador_fileBN->getFileNumero() )
            {
                $s_SQLQuery .= $s_Separator."FileNumero = '".$this->getFileNumero()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getEstado() ) && $this->getEstado() !== $o_cr_colaborador_fileBN->getEstado() )
            {
                $s_SQLQuery .= $s_Separator."Estado = '".$this->getEstado()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getNombreFile() ) && $this->getNombreFile() !== $o_cr_colaborador_fileBN->getNombreFile() )
            {
                $s_SQLQuery .= $s_Separator."NombreFile = '".$this->getNombreFile()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaEliminado() ) && $this->getFechaEliminado() !== $o_cr_colaborador_fileBN->getFechaEliminado() )
            {
                $s_SQLQuery .= $s_Separator."FechaEliminado = '".$this->getFechaEliminado()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getUsuarioEliminado() ) && $this->getUsuarioEliminado() !== $o_cr_colaborador_fileBN->getUsuarioEliminado() )
            {
                $s_SQLQuery .= $s_Separator."UsuarioEliminado = '".$this->getUsuarioEliminado()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getEliminado() ) && $this->getEliminado() !== $o_cr_colaborador_fileBN->getEliminado() )
            {
                $s_SQLQuery .= $s_Separator."Eliminado = ".$this->getEliminado()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaRegistro() ) && $this->getFechaRegistro() !== $o_cr_colaborador_fileBN->getFechaRegistro() )
            {
                $s_SQLQuery .= $s_Separator."FechaRegistro = '".$this->getFechaRegistro()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getUsuarioRegistro() ) && $this->getUsuarioRegistro() !== $o_cr_colaborador_fileBN->getUsuarioRegistro() )
            {
                $s_SQLQuery .= $s_Separator."UsuarioRegistro = '".$this->getUsuarioRegistro()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdtipofile() ) && $this->getIdtipofile() !== $o_cr_colaborador_fileBN->getIdtipofile() )
            {
                $s_SQLQuery .= $s_Separator."idtipofile = ".$this->getIdtipofile()."";
                $s_Separator = ", ";
            }
            $s_SQLQuery .= " WHERE  IdColaboradorFile = ".$this->getIdColaboradorFile().";";
            $o_Resource = $o_cr_colaborador_fileFN->getConnect();
            if ( mysql_query( $s_SQLQuery, $o_Resource ) === false )
            {
                throw new Exception( mysql_error() );
            }
        }
        else
        {
            throw new Exception( "El id no esta registrado." );
        }
        return true;
    }

    /* Elimina el registro */
    public function delete()
    {
        $o_cr_colaborador_fileFN = new Cr_colaborador_fileFN();
        $o_cr_colaborador_fileBN = $o_cr_colaborador_fileFN->selectByPk( $this->getIdColaboradorFile() );
        if ( !is_null( $o_cr_colaborador_fileBN ) )
        {
            $s_SQLQuery = "DELETE FROM cr_colaborador_file WHERE  IdColaboradorFile = ".$this->getIdColaboradorFile().";";
            $o_Resource = $o_cr_colaborador_fileFN->getConnect();
            if ( mysql_query( $s_SQLQuery, $o_Resource ) === false )
            {
                throw new Exception( mysql_error() );
            }
        }
        else
        {
            throw new Exception( "El id no esta registrado." );
        }
        return true;
    }

    /* Selecciona un registro por la llave primaria */
    public static function selectByPk( $i_IdColaboradorFile )
    {
        $o_cr_colaborador_fileFN = new Cr_colaborador_fileFN();
        if ( $o_cr_colaborador_fileBN = $o_cr_colaborador_fileFN->selectByPK( $i_IdColaboradorFile ) )
        {
            $o_cr_colaborador_fileDP = new cr_colaborador_fileDP();
            $o_cr_colaborador_fileDP->setIdColaboradorFile( $o_cr_colaborador_fileBN->getIdColaboradorFile(), false );
            $o_cr_colaborador_fileDP->setIdColaborador( $o_cr_colaborador_fileBN->getIdColaborador(), false );
            $o_cr_colaborador_fileDP->setFileNumero( $o_cr_colaborador_fileBN->getFileNumero(), false );
            $o_cr_colaborador_fileDP->setEstado( $o_cr_colaborador_fileBN->getEstado(), false );
            $o_cr_colaborador_fileDP->setNombreFile( $o_cr_colaborador_fileBN->getNombreFile(), false );
            $o_cr_colaborador_fileDP->setFechaEliminado( $o_cr_colaborador_fileBN->getFechaEliminado(), false );
            $o_cr_colaborador_fileDP->setUsuarioEliminado( $o_cr_colaborador_fileBN->getUsuarioEliminado(), false );
            $o_cr_colaborador_fileDP->setEliminado( $o_cr_colaborador_fileBN->getEliminado(), false );
            $o_cr_colaborador_fileDP->setFechaRegistro( $o_cr_colaborador_fileBN->getFechaRegistro(), false );
            $o_cr_colaborador_fileDP->setUsuarioRegistro( $o_cr_colaborador_fileBN->getUsuarioRegistro(), false );
            $o_cr_colaborador_fileDP->setIdtipofile( $o_cr_colaborador_fileBN->getIdtipofile(), false );
        }
        else
        {
            throw new Exception( "El id no esta registrado." );
        }
        return $o_cr_colaborador_fileDP;
    }
}
?>